"""Stubs for the C geohash module."""

from typing import Tuple

# Note: GeohashPrecision is treated as int here as the C layer expects an integer.
# The higher-level Python wrapper can use the TypeAlias if desired.

def encode(latitude: float, longitude: float, precision: int) -> str: ...
def encode_strictly(latitude: float, longitude: float, precision: int) -> str: ...
def decode(geohash: str) -> Tuple[float, float]: ...
def decode_exactly(geohash: str) -> Tuple[float, float, float, float]: ...
def get_base32() -> str: ...
